Index: issm/trunk/externalpackages/python/install-macosx-snowleopard.sh
===================================================================
--- issm/trunk/externalpackages/python/install-macosx-snowleopard.sh	(revision 12332)
+++ issm/trunk/externalpackages/python/install-macosx-snowleopard.sh	(revision 12332)
@@ -0,0 +1,41 @@
+#!/bin/bash
+#wget http://python.org/ftp/python/version/Python-version.tgz
+
+#version=3.2.2
+version=2.7.2
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-$version
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-$version.tgz Python-$version.tgz
+
+#exports
+export CC
+export MACOSX_DEPLOYMENT_TARGET=10.6
+
+#Untar and move python into install directory
+tar -zxvf  Python-$version.tgz
+mv Python-$version/* src
+rm -rf Python-$version
+
+#Configure doxygen
+cd src 
+./configure --prefix="$ISSM_DIR/externalpackages/python/install" --enable-framework="$ISSM_DIR/externalpackages/python/install" --enable-universalsdk --with-universal-archs="32-bit"
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+#Some modifications to be done in case version is 3.2: 
+if [[ $version == "3.2.2" ]]; then 
+	cd install/bin
+	ln -s python3.2 python 
+	cd ../
+	ln -s Python.framework/Versions/3.2/include/python3.2m include
+	ln -s Python.framework/Versions/3.2/lib/ lib
+fi
Index: issm/trunk/externalpackages/qhull/install.sh
===================================================================
--- issm/trunk/externalpackages/qhull/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/qhull/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf src install qhull-2003.1
 mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/qhull-2003.1.tar.gz' 'qhull-2003.1.tar.gz'
 
 #Untar 
@@ -15,5 +18,5 @@
 #Configure qhull
 cd src
-./configure --prefix="$ISSM_TIER/externalpackages/qhull/install"
+./configure --prefix="$ISSM_DIR/externalpackages/qhull/install"
 make
 make install
Index: issm/trunk/externalpackages/rats/install.sh
===================================================================
--- issm/trunk/externalpackages/rats/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/rats/install.sh	(revision 12332)
@@ -3,4 +3,7 @@
 #Erase install
 rm -rf install  src rats-2.3
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/rats-2.3.tar.gz' 'rats-2.3.tar.gz'
 
 #install directory
@@ -12,5 +15,5 @@
 #compile
 cd src
-./configure --prefix=$ISSM_TIER/externalpackages/rats/install
+./configure --prefix=$ISSM_DIR/externalpackages/rats/install
 make
 make install
Index: issm/trunk/externalpackages/readline/install.sh
===================================================================
--- issm/trunk/externalpackages/readline/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/readline/install.sh	(revision 12332)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src
+rm -rf readline-6.2.2
+mkdir src 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/readline-6.2.2.tar.gz' 'readline-6.2.2.tar.gz'
+
+#Untar 
+tar -zxvf  readline-6.2.2.tar.gz
+
+#Move readline into src directory
+mv readline-6.2.2/* src
+rm -rf readline-6.2.2
+
+$install
+cd src
+python setup.py install
Index: issm/trunk/externalpackages/rose/install.sh
===================================================================
--- issm/trunk/externalpackages/rose/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/rose/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf source build install
 mkdir install source build
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/rose-0.9.5a-13219.tar.gz' 'rose-0.9.5a-13219.tar.gz'
 
 #Untar 
@@ -15,7 +18,7 @@
 cd build
 ../source/configure \
-	--prefix=$ISSM_TIER/externalpackages/rose/install \
-	--with-boost=$ISSM_TIER/externalpackages/boost/install\
-	--srcdir=$ISSM_TIER/externalpackages/rose/source
+	--prefix=$ISSM_DIR/externalpackages/rose/install \
+	--with-boost=$ISSM_DIR/externalpackages/boost/install\
+	--srcdir=$ISSM_DIR/externalpackages/rose/source
 
 if [ -z $1 ]; then
Index: issm/trunk/externalpackages/satstress/install.sh
===================================================================
--- issm/trunk/externalpackages/satstress/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/satstress/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install SatStress-0.1.2
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/SatStress-0.1.2.tar.gz' 'SatStress-0.1.2.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/scipy/README
===================================================================
--- issm/trunk/externalpackages/scipy/README	(revision 12331)
+++ issm/trunk/externalpackages/scipy/README	(revision 12332)
@@ -1,2 +1,2 @@
 You will find instructions on scipy at: 
-http://www.scipy.org/Installing_SciPy/Mac_OS_X#head-ba1926aec910a9a1deaf9eff99e38ee23103a3b3
+http://www.scipy.org/Installing_SciPy/Mac_OS_X
Index: issm/trunk/externalpackages/scipy/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/scipy/install-linux64.sh	(revision 12332)
+++ issm/trunk/externalpackages/scipy/install-linux64.sh	(revision 12332)
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+#1: install numpy
+#2 install scipy
+#3 erase
+install=2
+
+
+export CC="gcc -fPIC"
+export CXX="g++ -fPIC"
+export F77="gfortran -fPIC"
+export FC="gfortran -fPIC"
+export FFLAGS=-ff2c
+
+
+if [[ $install == "1" ]];then 
+
+	#download numpy first
+
+	export GIT_SSL_NO_VERIFY=true 
+	git clone https://github.com/numpy/numpy.git
+
+	#install numpy
+	cd numpy
+	python setup.py build
+	python setup.py install
+
+	
+elif [[ $install == "2" ]];then 
+	
+	#download scipy
+	export GIT_SSL_NO_VERIFY=true 
+	git clone https://github.com/scipy/scipy.git
+
+	#install scipy
+	cd scipy
+	export  BLAS_SRC=$ISSM_DIR/externalpackages/blas/install/lib
+	export  BLAS=$ISSM_DIR/externalpackages/blas/install/lib
+	export  LAPACK_SRC=$ISSM_DIR/externalpackages/lapack/install/lib
+	export  LAPACK=$ISSM_DIR/externalpackages/lapack/install/lib
+
+	python setup.py build
+	python setup.py install
+
+elif [[ $install == "3" ]];then 
+	rm -rf numpy scipy
+else 
+	echo "Choice not covered"
+fi
Index: issm/trunk/externalpackages/scipy/install-macosx-lion.sh
===================================================================
--- issm/trunk/externalpackages/scipy/install-macosx-lion.sh	(revision 12332)
+++ issm/trunk/externalpackages/scipy/install-macosx-lion.sh	(revision 12332)
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+#1: install numpy
+#2 install scipy
+#3 erase
+install=2
+
+
+export CC=gcc
+export CXX=g++
+export FFLAGS=-ff2c
+
+
+if [[ $install == "1" ]];then 
+
+	#download numpy first
+	git clone https://github.com/numpy/numpy.git
+
+	#install numpy
+	cd numpy
+	python setup.py build
+	python setup.py install
+
+	
+elif [[ $install == "2" ]];then 
+	
+	#download scipy
+	git clone https://github.com/scipy/scipy.git
+
+	#install scipy
+	cd scipy
+	python setup.py build
+	python setup.py install
+
+elif [[ $install == "3" ]];then 
+	rm -rf numpy scipy
+else 
+	echo "Choice not covered"
+fi
Index: issm/trunk/externalpackages/scipy/install-macosx-snowleopard.sh
===================================================================
--- issm/trunk/externalpackages/scipy/install-macosx-snowleopard.sh	(revision 12332)
+++ issm/trunk/externalpackages/scipy/install-macosx-snowleopard.sh	(revision 12332)
@@ -0,0 +1,41 @@
+#!/bin/bash
+PYVERSION=2.7
+PYTHON=python${PYVERSION}
+
+#1: install numpy
+#2 install scipy
+#3 erase
+install=2
+
+export CC=/usr/bin/gcc-4.0
+export CXX=/usr/bin/g++-4.0
+
+if [[ $install == "1" ]];then 
+
+	#download numpy first
+	git clone https://github.com/numpy/numpy.git
+
+	#install numpy
+	cd numpy
+	python setup.py build
+	python setup.py install
+	cd ..
+	${PYTHON} -c "import numpy; print 'Installed NumPy', numpy.__version__"
+	
+elif [[ $install == "2" ]];then 
+	
+	#download scipy
+	git clone https://github.com/scipy/scipy.git
+
+	#install scipy
+	cd scipy
+	python setup.py build
+	python setup.py install
+	cd ..
+	${PYTHON} -c "import scipy; print 'Installed SciPy', scipy.__version__"
+
+elif [[ $install == "3" ]];then 
+	rm -rf numpy scipy
+else 
+	echo "Choice not covered"
+fi
Index: issm/trunk/externalpackages/scotch/install.sh
===================================================================
--- issm/trunk/externalpackages/scotch/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/scotch/install.sh	(revision 12332)
@@ -8,4 +8,7 @@
 # Create src and install directories
 mkdir src install 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/scotch_5.1.6.tar.gz' 'scotch_5.1.6.tar.gz'
 
 # Untar 
Index: issm/trunk/externalpackages/shapelib/install.sh
===================================================================
--- issm/trunk/externalpackages/shapelib/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/shapelib/install.sh	(revision 12332)
@@ -6,4 +6,8 @@
 rm -rf install 
 mkdir src install 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/shapelib-1.2.10.tar.gz' 'shapelib-1.2.10.tar.gz'
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/shape_eg_data.zip' 'shape_eg_data.zip'
 
 # Untar 
Index: issm/trunk/externalpackages/slepc/install.sh
===================================================================
--- issm/trunk/externalpackages/slepc/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/slepc/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install slepc-2.3.2
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/slepc-2.3.2.tgz' 'slepc-2.3.2.tgz'
 
 #Untar 
Index: issm/trunk/externalpackages/swig/install.sh
===================================================================
--- issm/trunk/externalpackages/swig/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/swig/install.sh	(revision 12332)
@@ -5,4 +5,7 @@
 rm -rf swig-2.0.4
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/swig-2.0.4.tar.gz' 'swig-2.0.4.tar.gz'
 
 #Untar and move python into install directory
@@ -13,14 +16,14 @@
 #Copy pcre prototype in include directory
 cd install 
-#cp $ISSM_TIER/externalpackages/pcre/install/pcre.h  ./Source/Include/
-#cp $ISSM_TIER/externalpackages/pcre/install/.libs/*  ./Source/Include/
-export CFLAGS="$CFLAGS -I$ISSM_TIER/externalpackages/pcre/install"
-export LDFLAGS="-L$ISSM_TIER/externalpackages/pcre/install/.libs/"
+#cp $ISSM_DIR/externalpackages/pcre/install/pcre.h  ./Source/Include/
+#cp $ISSM_DIR/externalpackages/pcre/install/.libs/*  ./Source/Include/
+export CFLAGS="$CFLAGS -I$ISSM_DIR/externalpackages/pcre/install"
+export LDFLAGS="-L$ISSM_DIR/externalpackages/pcre/install/.libs/"
 export LIBS="-lpcre"
 #Configure doxygen
 ./configure \
- --prefix="$ISSM_TIER/externalpackages/python/install" \
- --with-pcre-prefix="$ISSM_TIER/externalpackages/pcre/install" \
- --with-pcre-exec-prefix="$ISSM_TIER/externalpackages/pcre/install"
+ --prefix="$ISSM_DIR/externalpackages/python/install" \
+ --with-pcre-prefix="$ISSM_DIR/externalpackages/pcre/install" \
+ --with-pcre-exec-prefix="$ISSM_DIR/externalpackages/pcre/install"
 make 
 make install
Index: issm/trunk/externalpackages/tao/install.sh
===================================================================
--- issm/trunk/externalpackages/tao/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/tao/install.sh	(revision 12332)
@@ -7,4 +7,7 @@
 mkdir install
 
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/tao-2.0-p3.tar.gz' 'tao-2.0-p3.tar.gz'
+
 #Untar 
 tar -zxvf  tao-2.0-p3.tar.gz
@@ -14,5 +17,5 @@
 rm -rf tao-2.0-p3
 cd install
-export TAO_DIR="$ISSM_TIER/externalpackages/tao/install/"
+export TAO_DIR="$ISSM_DIR/externalpackages/tao/install/"
 
 #petsc needs to be compiled with --with-clanguage=C++
Index: issm/trunk/externalpackages/tex2im/install.sh
===================================================================
--- issm/trunk/externalpackages/tex2im/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/tex2im/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/tex2im-1.8.tar.gz' 'tex2im-1.8.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/triangle/configs/android/android-4.0/configure.make
===================================================================
--- issm/trunk/externalpackages/triangle/configs/android/android-4.0/configure.make	(revision 12331)
+++ issm/trunk/externalpackages/triangle/configs/android/android-4.0/configure.make	(revision 12332)
@@ -11,8 +11,8 @@
 
 ANDROID_BIN=$(ISSM_TIER)/src/android/tmp/android-14-toolchain/bin
-CC=$(ANDROID_DEV_DIR)/tmp/android-linux-4.0/bin/arm-linux-androideabi-gcc
-AR=$(ANDROID_DEV_DIR)/tmp/android-linux-4.0/bin/arm-linux-androideabi-ar
-RANLIB=$(ANDROID_DEV_DIR)/tmp/android-linux-4.0/bin/arm-linux-androideabi-ranlib
-CSWITCHES = $(CFLAGS)  -I/usr/X11R6/include -L/usr/X11R6/lib -I$(MATLAB_DIR)/extern/include -fPIC -I$(MATLAB_DIR)/include
+CC=$(ANDROID_DIR)/arm-linux-android-4.0/bin/arm-linux-androideabi-gcc
+AR=$(ANDROID_DIR)/arm-linux-android-4.0/bin/arm-linux-androideabi-ar
+RANLIB=$(ANDROID_DIR)/arm-linux-android-4.0/bin/arm-linux-androideabi-ranlib
+CSWITCHES = $(CFLAGS)
 TRILIBDEFS = -DTRILIBRARY
 OBJ_EXT=o
Index: issm/trunk/externalpackages/triangle/install-altix64.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-altix64.sh	(revision 12331)
+++ issm/trunk/externalpackages/triangle/install-altix64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install triangle
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
 
 #Untar 
Index: issm/trunk/externalpackages/triangle/install-android-4.0.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-android-4.0.sh	(revision 12331)
+++ issm/trunk/externalpackages/triangle/install-android-4.0.sh	(revision 12332)
@@ -4,8 +4,10 @@
 matlab=0
 
-
 #Some cleanup 
 rm -rf install triangle
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
 
 #Untar 
Index: issm/trunk/externalpackages/triangle/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-linux64.sh	(revision 12331)
+++ issm/trunk/externalpackages/triangle/install-linux64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install triangle
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
 
 #Untar 
Index: issm/trunk/externalpackages/triangle/install-macosx32.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-macosx32.sh	(revision 12331)
+++ issm/trunk/externalpackages/triangle/install-macosx32.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install triangle
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
 
 #Untar 
Index: issm/trunk/externalpackages/triangle/install-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-macosx64.sh	(revision 12331)
+++ issm/trunk/externalpackages/triangle/install-macosx64.sh	(revision 12332)
@@ -8,4 +8,7 @@
 rm -rf install triangle
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
 
 #Untar 
Index: issm/trunk/externalpackages/triangle/install-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-pleiades.sh	(revision 12331)
+++ issm/trunk/externalpackages/triangle/install-pleiades.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install triangle
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
 
 #Untar 
Index: issm/trunk/externalpackages/triangle/install-win32.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-win32.sh	(revision 12331)
+++ issm/trunk/externalpackages/triangle/install-win32.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install triangle
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
 
 #Untar 
Index: issm/trunk/externalpackages/triangle/install-win7.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-win7.sh	(revision 12331)
+++ issm/trunk/externalpackages/triangle/install-win7.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install triangle
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
 
 #Untar 
Index: issm/trunk/externalpackages/triangle/triangle.c.patch.python
===================================================================
--- issm/trunk/externalpackages/triangle/triangle.c.patch.python	(revision 12331)
+++ issm/trunk/externalpackages/triangle/triangle.c.patch.python	(revision 12332)
@@ -5,6 +5,6 @@
 >  * double precision activation in exactinit(); The rest is not changed. 
 >  * We also created the ice_makefile to compile Triangle into a library. */
-> #include <mat.h>
-> #include <matrix.h>
+> /* #include <mat.h>
+> #include <matrix.h> */
 > #define ANSI_DECLARATORS
 > #define NO_TIMER
Index: issm/trunk/externalpackages/valgrind/install-altix64.sh
===================================================================
--- issm/trunk/externalpackages/valgrind/install-altix64.sh	(revision 12331)
+++ issm/trunk/externalpackages/valgrind/install-altix64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install valgrind-3.7.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.7.0.tar.bz2' 'valgrind-3.7.0.tar.bz2'
 
 #Untar 
@@ -14,5 +17,5 @@
 #configure
 cd install
-./configure --prefix="$ISSM_TIER/externalpackages/valgrind/install"
+./configure --prefix="$ISSM_DIR/externalpackages/valgrind/install"
 
 #Compile valgrind
Index: issm/trunk/externalpackages/valgrind/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/valgrind/install-linux64.sh	(revision 12331)
+++ issm/trunk/externalpackages/valgrind/install-linux64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install valgrind-3.7.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.7.0.tar.bz2' 'valgrind-3.7.0.tar.bz2'
 
 #Untar 
@@ -14,5 +17,5 @@
 #configure
 cd install
-./configure  --prefix="$ISSM_TIER/externalpackages/valgrind/install"
+./configure  --prefix="$ISSM_DIR/externalpackages/valgrind/install"
 
 #Compile valgrind
Index: issm/trunk/externalpackages/valgrind/install-macosx32.sh
===================================================================
--- issm/trunk/externalpackages/valgrind/install-macosx32.sh	(revision 12331)
+++ issm/trunk/externalpackages/valgrind/install-macosx32.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install valgrind-3.7.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.7.0.tar.bz2' 'valgrind-3.7.0.tar.bz2'
 
 #Untar 
@@ -14,5 +17,5 @@
 #configure
 cd install
-./configure  --prefix="$ISSM_TIER/externalpackages/valgrind/install" --enable-only32bit
+./configure  --prefix="$ISSM_DIR/externalpackages/valgrind/install" --enable-only32bit
 
 #Compile valgrind
Index: issm/trunk/externalpackages/valgrind/install-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/valgrind/install-macosx64.sh	(revision 12331)
+++ issm/trunk/externalpackages/valgrind/install-macosx64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install valgrind-3.7.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.7.0.tar.bz2' 'valgrind-3.7.0.tar.bz2'
 
 #Untar 
@@ -14,5 +17,5 @@
 #configure
 cd install
-./configure  --prefix="$ISSM_TIER/externalpackages/valgrind/install" --enable-only64bit
+./configure  --prefix="$ISSM_DIR/externalpackages/valgrind/install" --enable-only64bit
 
 #Compile valgrind
Index: issm/trunk/externalpackages/valgrind/install-win32.sh
===================================================================
--- issm/trunk/externalpackages/valgrind/install-win32.sh	(revision 12331)
+++ issm/trunk/externalpackages/valgrind/install-win32.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install valgrind-3.7.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.7.0.tar.bz2' 'valgrind-3.7.0.tar.bz2'
 
 #Untar 
@@ -14,5 +17,5 @@
 #configure
 cd install
-./configure  --prefix="$ISSM_TIER/externalpackages/valgrind/install"
+./configure  --prefix="$ISSM_DIR/externalpackages/valgrind/install"
 
 #Compile valgrind
Index: issm/trunk/externalpackages/vim/addons/vim/syntax/c.vim
===================================================================
--- issm/trunk/externalpackages/vim/addons/vim/syntax/c.vim	(revision 12331)
+++ issm/trunk/externalpackages/vim/addons/vim/syntax/c.vim	(revision 12332)
@@ -547,4 +547,10 @@
 syn keyword cType QuadTree
 syn keyword cType SetOfE4
+syn keyword cType Variogram
+syn keyword cType GaussianVariogram
+syn keyword cType ExponentialVariogram
+syn keyword cType SphericalVariogram
+syn keyword cType Quadtree
+syn keyword cType Observation
 "ISSM's objects end
 
@@ -686,4 +692,8 @@
 syn keyword cConstant SettingsResultsAsPatchesEnum
 syn keyword cConstant SettingsWaitonlockEnum
+syn keyword cConstant DebugPetscProfilingEnum
+syn keyword cConstant PetscProfilingCurrentMemEnum
+syn keyword cConstant PetscProfilingCurrentFlopsEnum
+syn keyword cConstant PetscProfilingSolutionTimeEnum
 syn keyword cConstant SteadystateMaxiterEnum
 syn keyword cConstant SteadystateNumRequestedOutputsEnum
@@ -701,6 +711,7 @@
 syn keyword cConstant ThermalIsenthalpyEnum
 syn keyword cConstant ThicknessEnum
+syn keyword cConstant TimesteppingStartTimeEnum
+syn keyword cConstant TimesteppingFinalTimeEnum
 syn keyword cConstant TimesteppingCflCoefficientEnum
-syn keyword cConstant TimesteppingFinalTimeEnum
 syn keyword cConstant TimesteppingTimeAdaptEnum
 syn keyword cConstant TimesteppingTimeStepEnum
@@ -764,4 +775,5 @@
 syn keyword cConstant BoolInputEnum
 syn keyword cConstant BoolParamEnum
+syn keyword cConstant ContourEnum
 syn keyword cConstant ControlInputEnum
 syn keyword cConstant DatasetInputEnum
@@ -904,4 +916,5 @@
 syn keyword cConstant P1Enum
 syn keyword cConstant P1DGEnum
+syn keyword cConstant SaveResultsEnum
 syn keyword cConstant BoolElementResultEnum
 syn keyword cConstant BoolExternalResultEnum
@@ -918,4 +931,5 @@
 syn keyword cConstant PetscVecExternalResultEnum
 syn keyword cConstant StringExternalResultEnum
+syn keyword cConstant StepEnum
 syn keyword cConstant TimeEnum
 syn keyword cConstant TriaP1ElementResultEnum
Index: issm/trunk/externalpackages/vim/install.sh
===================================================================
--- issm/trunk/externalpackages/vim/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/vim/install.sh	(revision 12332)
@@ -5,4 +5,7 @@
 rm -rf vim72
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/vim-7.2.tar.bz2' 'vim-7.2.tar.bz2'
 
 #Untar 
@@ -19,5 +22,5 @@
 cd src/src 
 ./configure \
-	--prefix "$ISSM_TIER/externalpackages/vim/install" \
+	--prefix "$ISSM_DIR/externalpackages/vim/install" \
 	--with-gcc "/usr/bin/gcc"
 
Index: issm/trunk/externalpackages/windows/install.sh
===================================================================
--- issm/trunk/externalpackages/windows/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/windows/install.sh	(revision 12332)
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/win7.sdk7.1.exe' 'win7.sdk7.1.exe'
Index: issm/trunk/externalpackages/windows/windows_environment.sh
===================================================================
--- issm/trunk/externalpackages/windows/windows_environment.sh	(revision 12331)
+++ issm/trunk/externalpackages/windows/windows_environment.sh	(revision 12332)
@@ -2,5 +2,5 @@
 
 #Where are the configuration files for each compiler: 
-config_dir="$ISSM_TIER/externalpackages/windows/configs"
+config_dir="$ISSM_DIR/externalpackages/windows/configs"
 
 #your choise of compiler: 
@@ -10,5 +10,15 @@
 # 4: intel compiler on WinXP
 
-compiler=2;
+#Determine OS version using uname: 
+version=`uname -s | grep 64`
+if [[ $version == "" ]];then
+	compiler=1
+else
+	compiler=2
+fi
+
+#If you want to override and use intel compilers: 
+#compiler=3;
+
 
 #source corresponding environment variables: 
@@ -24,5 +34,5 @@
 fi
 
-#finally, out of ISSM_TIER, we need to create an ISSM_TIER_WIN variable for Matlab to pick up on.
-ISSM_TIER_WIN=`cygpath -m $ISSM_TIER`
-export ISSM_TIER_WIN
+#finally, out of ISSM_DIR, we need to create an ISSM_DIR_WIN variable for Matlab to pick up on.
+ISSM_DIR_WIN=`cygpath -m $ISSM_DIR`
+export ISSM_DIR_WIN
Index: issm/trunk/externalpackages/xerces/install.sh
===================================================================
--- issm/trunk/externalpackages/xerces/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/xerces/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install xerces-c-src_2_8_0 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/xerces-c-src_2_8_0.tar.gz' 'xerces-c-src_2_8_0.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/yams/install.sh
===================================================================
--- issm/trunk/externalpackages/yams/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/yams/install.sh	(revision 12332)
@@ -4,4 +4,9 @@
 rm -rf install
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/yams2-linux.gz' 'yams2-linux.gz'
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/yams2-osx.gz' 'yams2-osx.gz'
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/yams2-win.exe' 'yams2-win.exe'
 
 #loop over the binaries
